require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_TERMIOS_H)) {
    die("Never include <bits/termios.h> directly; use <termios.h> instead.");
}
unless(defined(&NCCS)) {
    sub NCCS () {	17;}
}
unless(defined(&VINTR)) {
    sub VINTR () {	0;}
}
unless(defined(&VQUIT)) {
    sub VQUIT () {	1;}
}
unless(defined(&VERASE)) {
    sub VERASE () {	2;}
}
unless(defined(&VKILL)) {
    sub VKILL () {	3;}
}
unless(defined(&VEOF)) {
    sub VEOF () {	4;}
}
unless(defined(&VEOL)) {
    sub VEOL () {	5;}
}
unless(defined(&VEOL2)) {
    sub VEOL2 () {	6;}
}
unless(defined(&VSWTC)) {
    sub VSWTC () {	7;}
}
unless(defined(&VSTART)) {
    sub VSTART () {	8;}
}
unless(defined(&VSTOP)) {
    sub VSTOP () {	9;}
}
unless(defined(&VSUSP)) {
    sub VSUSP () {	10;}
}
unless(defined(&VDSUSP)) {
    sub VDSUSP () {	11;}
}
unless(defined(&VREPRINT)) {
    sub VREPRINT () {	12;}
}
unless(defined(&VDISCARD)) {
    sub VDISCARD () {	13;}
}
unless(defined(&VWERASE)) {
    sub VWERASE () {	14;}
}
unless(defined(&VLNEXT)) {
    sub VLNEXT () {	15;}
}
unless(defined(&VMIN)) {
    sub VMIN () {	 &VEOF;}
}
unless(defined(&VTIME)) {
    sub VTIME () {	 &VEOL;}
}
unless(defined(&IGNBRK)) {
    sub IGNBRK () {	0x1;}
}
unless(defined(&BRKINT)) {
    sub BRKINT () {	0x2;}
}
unless(defined(&IGNPAR)) {
    sub IGNPAR () {	0x4;}
}
unless(defined(&PARMRK)) {
    sub PARMRK () {	0x8;}
}
unless(defined(&INPCK)) {
    sub INPCK () {	0x10;}
}
unless(defined(&ISTRIP)) {
    sub ISTRIP () {	0x20;}
}
unless(defined(&INLCR)) {
    sub INLCR () {	0x40;}
}
unless(defined(&IGNCR)) {
    sub IGNCR () {	0x80;}
}
unless(defined(&ICRNL)) {
    sub ICRNL () {	0x100;}
}
unless(defined(&IUCLC)) {
    sub IUCLC () {	0x200;}
}
unless(defined(&IXON)) {
    sub IXON () {	0x400;}
}
unless(defined(&IXANY)) {
    sub IXANY () {	0x800;}
}
unless(defined(&IXOFF)) {
    sub IXOFF () {	0x1000;}
}
unless(defined(&IMAXBEL)) {
    sub IMAXBEL () {	0x2000;}
}
unless(defined(&IUTF8)) {
    sub IUTF8 () {	0x4000;}
}
unless(defined(&OPOST)) {
    sub OPOST () {	0x1;}
}
unless(defined(&OLCUC)) {
    sub OLCUC () {	0x2;}
}
unless(defined(&ONLCR)) {
    sub ONLCR () {	0x4;}
}
unless(defined(&OCRNL)) {
    sub OCRNL () {	0x8;}
}
unless(defined(&ONOCR)) {
    sub ONOCR () {	0x10;}
}
unless(defined(&ONLRET)) {
    sub ONLRET () {	0x20;}
}
unless(defined(&OFILL)) {
    sub OFILL () {	0x40;}
}
unless(defined(&OFDEL)) {
    sub OFDEL () {	0x80;}
}
if(defined (defined(&__USE_MISC) ? &__USE_MISC : undef) || defined (defined(&__USE_XOPEN) ? &__USE_XOPEN : undef)) {
    eval 'sub NLDLY () {0x100;}' unless defined(&NLDLY);
    eval 'sub NL0 () {0x;}' unless defined(&NL0);
    eval 'sub NL1 () {0x100;}' unless defined(&NL1);
    eval 'sub CRDLY () {0x600;}' unless defined(&CRDLY);
    eval 'sub CR0 () {0x;}' unless defined(&CR0);
    eval 'sub CR1 () {0x200;}' unless defined(&CR1);
    eval 'sub CR2 () {0x400;}' unless defined(&CR2);
    eval 'sub CR3 () {0x600;}' unless defined(&CR3);
    eval 'sub TABDLY () {0x1800;}' unless defined(&TABDLY);
    eval 'sub TAB0 () {0x;}' unless defined(&TAB0);
    eval 'sub TAB1 () {0x800;}' unless defined(&TAB1);
    eval 'sub TAB2 () {0x1000;}' unless defined(&TAB2);
    eval 'sub TAB3 () {0x1800;}' unless defined(&TAB3);
    eval 'sub BSDLY () {0x2000;}' unless defined(&BSDLY);
    eval 'sub BS0 () {0x;}' unless defined(&BS0);
    eval 'sub BS1 () {0x2000;}' unless defined(&BS1);
    eval 'sub FFDLY () {0x8000;}' unless defined(&FFDLY);
    eval 'sub FF0 () {0x;}' unless defined(&FF0);
    eval 'sub FF1 () {0x8000;}' unless defined(&FF1);
}
unless(defined(&VTDLY)) {
    sub VTDLY () {	0x4000;}
}
unless(defined(&VT0)) {
    sub VT0 () {	0x;}
}
unless(defined(&VT1)) {
    sub VT1 () {	0x4000;}
}
unless(defined(&PAGEOUT)) {
    sub PAGEOUT () {	0x10000;}
}
unless(defined(&WRAP)) {
    sub WRAP () {	0x20000;}
}
if(defined(&__USE_MISC)) {
    eval 'sub XTABS () {0x1800;}' unless defined(&XTABS);
}
if(defined(&__USE_MISC)) {
    eval 'sub CBAUD () {0x100f;}' unless defined(&CBAUD);
}
unless(defined(&B0)) {
    sub B0 () {	0x;}
}
unless(defined(&B50)) {
    sub B50 () {	0x1;}
}
unless(defined(&B75)) {
    sub B75 () {	0x2;}
}
unless(defined(&B110)) {
    sub B110 () {	0x3;}
}
unless(defined(&B134)) {
    sub B134 () {	0x4;}
}
unless(defined(&B150)) {
    sub B150 () {	0x5;}
}
unless(defined(&B200)) {
    sub B200 () {	0x6;}
}
unless(defined(&B300)) {
    sub B300 () {	0x7;}
}
unless(defined(&B600)) {
    sub B600 () {	0x8;}
}
unless(defined(&B1200)) {
    sub B1200 () {	0x9;}
}
unless(defined(&B1800)) {
    sub B1800 () {	0xa;}
}
unless(defined(&B2400)) {
    sub B2400 () {	0xb;}
}
unless(defined(&B4800)) {
    sub B4800 () {	0xc;}
}
unless(defined(&B9600)) {
    sub B9600 () {	0xd;}
}
unless(defined(&B19200)) {
    sub B19200 () {	0xe;}
}
unless(defined(&B38400)) {
    sub B38400 () {	0xf;}
}
if(defined(&__USE_MISC)) {
    eval 'sub EXTA () { &B19200;}' unless defined(&EXTA);
    eval 'sub EXTB () { &B38400;}' unless defined(&EXTB);
}
unless(defined(&CSIZE)) {
    sub CSIZE () {	0x30;}
}
unless(defined(&CS5)) {
    sub CS5 () {	0x;}
}
unless(defined(&CS6)) {
    sub CS6 () {	0x10;}
}
unless(defined(&CS7)) {
    sub CS7 () {	0x20;}
}
unless(defined(&CS8)) {
    sub CS8 () {	0x30;}
}
unless(defined(&CSTOPB)) {
    sub CSTOPB () {	0x40;}
}
unless(defined(&CREAD)) {
    sub CREAD () {	0x80;}
}
unless(defined(&PARENB)) {
    sub PARENB () {	0x100;}
}
unless(defined(&PARODD)) {
    sub PARODD () {	0x200;}
}
unless(defined(&HUPCL)) {
    sub HUPCL () {	0x400;}
}
unless(defined(&CLOCAL)) {
    sub CLOCAL () {	0x800;}
}
if(defined(&__USE_MISC)) {
    eval 'sub CBAUDEX () {0x1000;}' unless defined(&CBAUDEX);
}
unless(defined(&B57600)) {
    sub B57600 () {	0x1001;}
}
unless(defined(&B115200)) {
    sub B115200 () {	0x1002;}
}
unless(defined(&B230400)) {
    sub B230400 () {	0x1003;}
}
unless(defined(&B460800)) {
    sub B460800 () {	0x1004;}
}
unless(defined(&B76800)) {
    sub B76800 () {	0x1005;}
}
unless(defined(&B153600)) {
    sub B153600 () {	0x1006;}
}
unless(defined(&B307200)) {
    sub B307200 () {	0x1007;}
}
unless(defined(&B614400)) {
    sub B614400 () {	0x1008;}
}
unless(defined(&B921600)) {
    sub B921600 () {	0x1009;}
}
unless(defined(&B500000)) {
    sub B500000 () {	0x100a;}
}
unless(defined(&B576000)) {
    sub B576000 () {	0x100b;}
}
unless(defined(&B1000000)) {
    sub B1000000 () {	0x100c;}
}
unless(defined(&B1152000)) {
    sub B1152000 () {	0x100d;}
}
unless(defined(&B1500000)) {
    sub B1500000 () {	0x100e;}
}
unless(defined(&B2000000)) {
    sub B2000000 () {	0x100f;}
}
unless(defined(&__MAX_BAUD)) {
    sub __MAX_BAUD () {	 &B2000000;}
}
if(defined(&__USE_MISC)) {
    eval 'sub CIBAUD () {0x100f0000;}' unless defined(&CIBAUD);
    eval 'sub CMSPAR () {0x40000000;}' unless defined(&CMSPAR);
    eval 'sub CRTSCTS () {0x80000000;}' unless defined(&CRTSCTS);
}
unless(defined(&ISIG)) {
    sub ISIG () {	0x1;}
}
unless(defined(&ICANON)) {
    sub ICANON () {	0x2;}
}
if(defined (defined(&__USE_MISC) ? &__USE_MISC : undef) || defined (defined(&__USE_XOPEN) ? &__USE_XOPEN : undef)) {
    eval 'sub XCASE () {0x4;}' unless defined(&XCASE);
}
unless(defined(&ECHO)) {
    sub ECHO () {	0x8;}
}
unless(defined(&ECHOE)) {
    sub ECHOE () {	0x10;}
}
unless(defined(&ECHOK)) {
    sub ECHOK () {	0x20;}
}
unless(defined(&ECHONL)) {
    sub ECHONL () {	0x40;}
}
unless(defined(&NOFLSH)) {
    sub NOFLSH () {	0x80;}
}
unless(defined(&TOSTOP)) {
    sub TOSTOP () {	0x100;}
}
if(defined(&__USE_MISC)) {
    eval 'sub ECHOCTL () {0x200;}' unless defined(&ECHOCTL);
    eval 'sub ECHOPRT () {0x400;}' unless defined(&ECHOPRT);
    eval 'sub ECHOKE () {0x800;}' unless defined(&ECHOKE);
    eval 'sub DEFECHO () {0x1000;}' unless defined(&DEFECHO);
    eval 'sub FLUSHO () {0x2000;}' unless defined(&FLUSHO);
    eval 'sub PENDIN () {0x4000;}' unless defined(&PENDIN);
}
unless(defined(&IEXTEN)) {
    sub IEXTEN () {	0x8000;}
}
unless(defined(&TIOCM_LE)) {
    sub TIOCM_LE () {	0x1;}
}
unless(defined(&TIOCM_DTR)) {
    sub TIOCM_DTR () {	0x2;}
}
unless(defined(&TIOCM_RTS)) {
    sub TIOCM_RTS () {	0x4;}
}
unless(defined(&TIOCM_ST)) {
    sub TIOCM_ST () {	0x8;}
}
unless(defined(&TIOCM_SR)) {
    sub TIOCM_SR () {	0x10;}
}
unless(defined(&TIOCM_CTS)) {
    sub TIOCM_CTS () {	0x20;}
}
unless(defined(&TIOCM_CAR)) {
    sub TIOCM_CAR () {	0x40;}
}
unless(defined(&TIOCM_RNG)) {
    sub TIOCM_RNG () {	0x80;}
}
unless(defined(&TIOCM_DSR)) {
    sub TIOCM_DSR () {	0x100;}
}
unless(defined(&TIOCM_CD)) {
    sub TIOCM_CD () {	 &TIOCM_CAR;}
}
unless(defined(&TIOCM_RI)) {
    sub TIOCM_RI () {	 &TIOCM_RNG;}
}
unless(defined(&TIOCSER_TEMT)) {
    sub TIOCSER_TEMT () {	0x1;}
}
unless(defined(&TCOOFF)) {
    sub TCOOFF () {	0;}
}
unless(defined(&TCOON)) {
    sub TCOON () {	1;}
}
unless(defined(&TCIOFF)) {
    sub TCIOFF () {	2;}
}
unless(defined(&TCION)) {
    sub TCION () {	3;}
}
unless(defined(&TCIFLUSH)) {
    sub TCIFLUSH () {	0;}
}
unless(defined(&TCOFLUSH)) {
    sub TCOFLUSH () {	1;}
}
unless(defined(&TCIOFLUSH)) {
    sub TCIOFLUSH () {	2;}
}
unless(defined(&TCSANOW)) {
    sub TCSANOW () {	0;}
}
unless(defined(&TCSADRAIN)) {
    sub TCSADRAIN () {	1;}
}
unless(defined(&TCSAFLUSH)) {
    sub TCSAFLUSH () {	2;}
}
1;
